/**
  *  \file planetscentral/dbclient/mailclient.cc
  */

#include "planetscentral/dbclient/mailclient.h"

void
MailClient::startMail(string_t tpl)
{
    callVoid(DbRequest().withString("MAIL").withString(tpl));
}

void
MailClient::startMail(string_t tpl, string_t uid)
{
    callVoid(DbRequest().withString("MAIL").withString(tpl).withString(uid));
}

void
MailClient::addParameter(const char* name, const string_t& value)
{
    callVoid(DbRequest().withString("PARAM").withString(name).withString(value));
}

void
MailClient::addParameter(string_t name, const string_t& value)
{
    addParameter(name.c_str(), value);
}

void
MailClient::addParameter(const char* name, int32_t value)
{
    callVoid(DbRequest().withString("PARAM").withString(name).withInt(value));
}

void
MailClient::addParameter(string_t name, int32_t value)
{
    addParameter(name.c_str(), value);
}

void
MailClient::attachFile(string_t url)
{
    callVoid(DbRequest().withString("ATTACH").withString(url));
}

void
MailClient::sendTo(string_t addr)
{
    callVoid(DbRequest().withString("SEND").withString(addr));
}

void
MailClient::sendTo(const StringList_t& addr)
{
    callVoid(DbRequest().withString("SEND").withInlineStringList(addr));
}

void
MailClient::cancel(string_t uid)
{
    callVoid(DbRequest().withString("CANCEL").withString(uid));
}
