/**
  *  \file planetscentral/pathresolver.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_PATHRESOLVER_H
#define C2SERVER_PLANETSCENTRAL_PATHRESOLVER_H

#include "planetscentral/userdir.h"

class PathResolver {
 public:
    PathResolver(UserDirectory* base, string_t user);

    /* Basics */
    bool      resolvePath(string_t& path);
    UserItem* resolveLeaf(string_t path);
    bool      checkPrivilege(int priv) const;
    int       getError() const;

    UserDirectory* getDirectory() const;

    /* Higher-level */
    UserItem* resolve(string_t path, int priv);
    UserDirectory* resolveToDirectory(string_t path, int priv);

 private:
    UserDirectory* base;
    string_t user;
    int error;
};

#endif
